unit OrderDetails;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  PropertySheet, StdCtrls, ExtCtrls, ComCtrls;

type
  TfrmOrderDetails = class(TfrmPropertySheet)
    lblQuantity: TLabel;
    edtQuantity: TEdit;
    updnQuantity: TUpDown;
    lblStockItem: TLabel;
    edtStockItem: TEdit;
    btnSelect: TButton;
    lblPrice: TLabel;
    edtPrice: TEdit;
    lblCustomer: TLabel;
    edtCustomer: TEdit;
  private
  protected
    procedure LoadTab (TabSheet: TTabSheet; ObjectToLoad: TObject); override;
    procedure SaveTab (TabSheet: TTabSheet; ObjectToSave: TObject); override;
  public
  end;

var
  frmOrderDetails: TfrmOrderDetails;

implementation

uses
  ProblemDomain;
  
{$R *.DFM}

{ TfrmOrderDetails }

procedure TfrmOrderDetails.LoadTab (TabSheet: TTabSheet; ObjectToLoad: TObject);
begin
  with TOrder (ObjectToLoad) do begin
    if TabSheet = tabDetails then begin
      edtCustomer.Text := Customer.Name;
      edtStockItem.Text := StockItem.Description;
      updnQuantity.Position := Quantity;
      edtPrice.Text := IntToStr (Price);
    end;
  end;
end;

procedure TfrmOrderDetails.SaveTab (TabSheet: TTabSheet; ObjectToSave: TObject);
begin
  inherited;

end;

end.
